goalFixRadio.mSteps = 
{
	{ action = "click", object = objectBedroomRadioAntennaSocket, selection = objectShedWirehanger },
	{ action = "click", object = objectBedroomRadioKnobSocket, selection = objectBedroomRadiodial },
	{ action = "click", object = objectBedroomRadioTuningplateSocket, selection = objectLivingroomRadiofrontplate },
	{ action = "click", object = objectBedroomRadioWires, selection = objectLivingroomWires },
	{ action = "click", object = objectBedroomRadioWiresfixed, selection = objectShedElectricaltape },
	{ action = "click", object = objectBedroomRadioKnob },
	{ action = "click", object = objectBedroomRadioFixedcasing, selection = objectShedPliers },
	{ action = "solve", layout = layoutBedroomRadio },
}
-- ----------------------------------------------------------------------------
function goalFixRadio:onSolveFinish(layout)

	if (layoutBedroomRadio == layout) then
		self:achieved()
	end 
	
end